| Version: 3.3.1

Public Member Functions | List of all members
wxPGDefaultRenderer Class Reference
Class List by Category » wxPropertyGrid

`#include <wx/propgrid/property.h>`

Inheritance diagram for wxPGDefaultRenderer:
[legend]

## Detailed Description

Default cell renderer, that can handles the common scenarios.

##

Library: wxPropertyGrid
Category: wxPropertyGrid

## Public Member Functions
virtual bool | Render (wxDC &dc, const wxRect &rect, const wxPropertyGrid *propertyGrid, wxPGProperty *property, int column, int item, int flags) const
| Returns true if rendered something in the foreground (text or bitmap. More...
virtual wxSize | GetImageSize (const wxPGProperty *property, int column, int item) const
| Returns size of the image in front of the editable area. More...
Public Member Functions inherited from wxPGCellRenderer
| wxPGCellRenderer ()
virtual | ~wxPGCellRenderer ()
virtual void | DrawCaptionSelectionRect (wxDC &dc, int x, int y, int w, int h) const
| Paints property category selection rectangle. More...
void | DrawText (wxDC &dc, const wxRect &rect, int imageWidth, const wxString &text) const
| Utility to draw vertically centered text. More...
void | DrawEditorValue (wxDC &dc, const wxRect &rect, int xOffset, const wxString &text, wxPGProperty *property, const wxPGEditor *editor) const
| Utility to draw editor's value, or vertically aligned text if editor is nullptr. More...
int | PreDrawCell (wxDC &dc, const wxRect &rect, const wxPropertyGrid *propGrid, const wxPGCell &cell, int flags) const
| Utility to render cell bitmap and set text colour plus bg brush colour. More...
void | PostDrawCell (wxDC &dc, const wxPropertyGrid *propGrid, const wxPGCell &cell, int flags) const
| Utility to be called after drawing is done, to revert whatever changes PreDrawCell() did. More...

## Additional Inherited Members
Public Types inherited from wxPGCellRenderer
enum | { Selected , ChoicePopup , Control , Disabled , DontUseCellFgCol , DontUseCellBgCol , DontUseCellColours }
| More...

## Member Function Documentation

## ◆ GetImageSize()

virtual wxSize wxPGDefaultRenderer::GetImageSize | ( | const wxPGProperty * | property,
|  | int | column,
|  | int | item
| ) |  | const
| virtual

Returns size of the image in front of the editable area.

Remarks
  If property is nullptr, then this call is for a custom value. In that case the item is index to wxPropertyGrid's custom values.

Reimplemented from wxPGCellRenderer.

## ◆ Render()

virtual bool wxPGDefaultRenderer::Render | ( | wxDC & | dc,
|  | const wxRect & | rect,
|  | const wxPropertyGrid * | propertyGrid,
|  | wxPGProperty * | property,
|  | int | column,
|  | int | item,
|  | int | flags
| ) |  | const
| virtual

Returns true if rendered something in the foreground (text or bitmap.

Parameters

  dc | wxDC to paint on.
  rect | Box reserved for drawing.
  propertyGrid | Property grid in which property is displayed.
  property | Property to be rendered.
  column | Property cell column.
  item | Index of chosen item if combo popup is drawn, -1 otherwise.
  flags | See list of render flags.

Implements wxPGCellRenderer.